Skip to main content
GET
Get an event

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

eventId
string<uuid>
required

Response

When request is successful. Returns an 'Event' object.

href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
id
string | null

Unique identifier of the event.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

matter
object | null

Hypermedia link of the associated matter.

attendees
object[] | null

Hypermedia link of all the attendees.

externalAttendees
object[] | null

Hypermedia link of all the contacts of the external or third party attendees.

eventType
enum<string>
deprecated

Deprecated. Use type instead.

The type of the event.

Possible values: Non Recurring Event = 0, Recurring Pattern Series = 1, Single Recurring Occurrence = 2, Modified Recurring Occurrence = 3, Deleted Recurring Occurrence = 4

Available options:
Normal,
Pattern,
Occurrence,
ChangedOccurrence,
DeletedOccurrence
Example:

"0"

type
enum<string>

The type of the event.

Possible values: Normal, Pattern, Occurrence, ChangedOccurrence, DeletedOccurrence

Available options:
Normal,
Pattern,
Occurrence,
ChangedOccurrence,
DeletedOccurrence
Example:

"Normal"

subject
string | null

Subject of event.

Example:

"Subject"

description
string | null

Description of event.

Example:

"Description"

location
string | null

Location of event.

Example:

"Location"

allDay
boolean

Whether or not the event is all day.

Example:

false

nonBillable
boolean

Whether or not the event is billable. Note events with a duration greater than 12 hours automatically become non-billable.

Example:

false

startTime
string<date-time>

Start date and time of the event. Supported date format is ISO YYYY-MM-DDThh:mm:ss. Note: date and time will correlate with the time zone provided.

Example:

"2000-01-01T20:00:00"

endTime
string<date-time>

End date and time of the event. Supported date format is ISO YYYY-MM-DDThh:mm:ss. Note: date and time will correlate with the time zone provided.

Example:

"2000-01-01T20:00:00"

timeZone
string | null

Time zone of the event for determining the start time and end time. Time zones will be in the IANA time zone format.

Example:

"Australia/Sydney"

lastUpdated
string<date-time>

The last date and time the event was updated. Supported date format is ISO YYYY-MM-DDThh:mm:ss.

Example:

"2000-01-01T20:00:00"

additionalData
object | null

Any additional data provided for the event.

isDeleted
boolean

Whether the event has been deleted.

Example:

false